import base.IPlugin;

import java.util.*;

public class TestPlugin {

    public static void main(String[] args) {

        // This part should be made configurable from config file
        List<IPlugin> pluginCollection = new ArrayList<IPlugin>();
        // Load SMS plugin
        SMSPlugin smsPlugin = new SMSPlugin();
        pluginCollection.add(smsPlugin);

        // Load MMS Plugin
        MMSPlugin mmsPlugin = new MMSPlugin();
        pluginCollection.add(mmsPlugin);

        // Load MMS Plugin
        MMSEnchPlugin mmsEnchPlugin = new MMSEnchPlugin();
        pluginCollection.add(mmsEnchPlugin);

        // Let said depend on user selection,
        SMSMessage smsMessage = new SMSMessage();
        smsMessage.setANo("00000");
        smsMessage.setBNo("11111");
        smsMessage.setContent("test SMS");

        MMSMessage mmsMessage = new MMSMessage();
        mmsMessage.setANo("00000");
        mmsMessage.setBNo("11111");
        mmsMessage.setContent("test SMS");
        mmsMessage.setFileName("MMS file name");

        MessageContext smsMessageContext = new MessageContext(smsMessage);
        MessageContext mmsMessageContext = new MessageContext(mmsMessage);
        for (int i = 0; i < pluginCollection.size(); i++) {
            IPlugin plugin = pluginCollection.get(i);
            plugin.performAction(smsMessageContext);
            plugin.performAction(mmsMessageContext);
        }


    }
}
